# Datadog Actions

* [Datadog delete incident](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/Datadog/legos/datadog_delete_incident/README.md) : Delete an incident given its id
* [Datadog get event](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/Datadog/legos/datadog_get_event/README.md) : Get an event given its id
* [Datadog get incident](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/Datadog/legos/datadog_get_incident/README.md) : Get an incident given its id
* [Datadog get metric metadata](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/Datadog/legos/datadog_get_metric_metadata/README.md) : Get the metadata of a metric.
* [Datadog get monitor](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/Datadog/legos/datadog_get_monitor/README.md) : Get details about a monitor
* [Datadog get monitorID given the name](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/Datadog/legos/datadog_get_monitorid/README.md) : Get monitorID given the name
* [Datadog list active metrics](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/Datadog/legos/datadog_list_active_metrics/README.md) : Get the list of actively reporting metrics from a given time until now.
* [Datadog list all monitors](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/Datadog/legos/datadog_list_all_monitors/README.md) : List all monitors
* [Datadog list metrics](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/Datadog/legos/datadog_list_metrics/README.md) : Lists metrics from the last 24 hours in Datadog.
* [Datadog mute/unmute monitors](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/Datadog/legos/datadog_mute_or_unmute_alerts/README.md) : Mute/unmute monitors
* [Datadog query metrics](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/Datadog/legos/datadog_query_metrics/README.md) : Query timeseries points for a metric.
* [Datadog search monitors](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/Datadog/legos/datadog_search_monitors/README.md) : Search monitors in datadog based on filters
* [Get Datadog Handle](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/Datadog/legos/datadog_get_handle/README.md) : Get Datadog Handle
* [Schedule downtime](https://github.com/unskript/Awesome-CloudOps-Automation/tree/master/Datadog/legos/datadog_schedule_downtime/README.md) : Schedule downtime


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/connnecting/connectors/datadog/action_datadog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
